6.1 Mesh Snapping Plane
In general, snapping planes are used to modify the mesh by enforcing the cell boundary or cell centre in a specified position. The most frequently used application of this dialogue will be to force mesh through the introduction of a mesh snapping plane. It is like indicating a plane to which the FDTD mesh must adjust:
Electric forces cell edges i.e., a plane whereat the tangential electric field components are calculated
Magnetic forces cell centres i.e., a plane whereat the tangential magnetic field components are calculated
The command from the drop-dowm menu under button in the Model tab and Mesh->Snapping Plane... command from main menu invoke Create Snapping Plane dialogue.
The name of the mesh snapping plane can be set in Name field. The Type drop-down list allows determining if the snapping plane should be of type electric or magnetic. In the Parameters frame, the user declares along which axis the snapping plane should be placed at its position (Position field).
Apply button adds the snapping plane to the project and keeps the dialogue open to enable inserting another snapping planes. The OK button adds the snapping plane and exits the Create Snapping Plane dialogue.
Python code
The python code, which can be useful when creating project scripts, generated by Create Snapping Plane dialogue for default parameters:
from FreeCAD import Base
QW_Modeller.addQWObject("QW_Modeller::SnappingPlane","SPX")
App.ActiveDocument.SPX.Placement = Base.Placement(Base.Vector(0.00000,5.00000,5.00000),Base.Rotation(0.50000,0.50000,0.50000,0.50000))
App.ActiveDocument.SPX.Orientation = "X"
App.ActiveDocument.SPX.Position = 0.00000
App.ActiveDocument.SPX.Length = 10.00000
App.ActiveDocument.SPX.Width = 10.00000
App.ActiveDocument.SPX.Type = "Electric"
Gui.ActiveDocument.SPX.ShowText = False
Gui.ActiveDocument.SPX.TextSize = 14
Gui.ActiveDocument.SPX.TextPlace = 3
App.ActiveDocument.recompute()
Gui.SendMsgToActiveView("ViewFit")
See also Mesh Box, Borders, Mesh Settings, Mesh Inspect and Mesh Visualisation chapters for more information.